PoolingConnection.StatementType (Apache Tomcat 9.0.37 API Documentation)

org.apache.tomcat.dbcp.dbcp2

## Enum PoolingConnection.StatementType

- java.lang.Object
- - java.lang.Enum<PoolingConnection.StatementType>
  - - org.apache.tomcat.dbcp.dbcp2.PoolingConnection.StatementType

- All Implemented Interfaces:
    Serializable, Comparable<PoolingConnection.StatementType>
  Enclosing class:
    PoolingConnection

      public static enum PoolingConnection.StatementType
      extends Enum<PoolingConnection.StatementType>

  Statement types.
  Since:
    2.0 protected enum., 2.4.0 public enum.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CALLABLE_STATEMENT` Callable statement.
    `PREPARED_STATEMENT` Prepared statement.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static PoolingConnection.StatementType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static PoolingConnection.StatementType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### CALLABLE_STATEMENT

          public static final PoolingConnection.StatementType CALLABLE_STATEMENT

      Callable statement.

    - #### PREPARED_STATEMENT

          public static final PoolingConnection.StatementType PREPARED_STATEMENT

      Prepared statement.

  - ### Method Detail

    - #### values

          public static PoolingConnection.StatementType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (PoolingConnection.StatementType c : PoolingConnection.StatementType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static PoolingConnection.StatementType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2000-2020 Apache Software Foundation. All Rights Reserved.